PDA

View Full Version : SLES-Other Configuring SLES 10 client with Active directory



H4xorzeel
21-Mar-2018, 15:04
Hi All,

i am trying to configure SLES 10 client with AD but failed to even start.https://forums.suse.com/images/smilies/frown.png

not able to install a single software

not able to configure repo, every time got and an error nothing to do

package not found.

Is there any possibility to integrate SLES 10 with AD

Regards,
Zeeel

ab
21-Mar-2018, 20:05
On 03/21/2018 08:54 AM, H4xorzeel wrote:
>

> i am trying to configure SLES 10 client with AD but failed to even
> start.https://forums.suse.com/images/smilies/frown.png

Which kind of client? Just an LDAP client, or are you trying to use SSSD
for integration?

Either way SLES 10 is ancient. The repositories may not exist unless you
have explicitly signed up for long-term (extended) support. You would
probably be better off upgrading so that you can use the latest bits for
integration; in particular SLES 12 has SSSD integration that is easy to
setup, and supported, and current, and SLES 11 at least had it there even
though it would not be the latest goodness out today.

I presume this is not a new environment; what is its purpose, and what is
its future?

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.

H4xorzeel
22-Mar-2018, 12:05
Yes, I want to use SSSD but failed to even install krb5 workstation

I am trying to figure out if there is any possibility or not

if yes what would be the steps :)

ab
23-Mar-2018, 17:04
I've asked a contact of mine to jump in as he is an SSSD expert and a
consultant on that topic, so he probably knows the answers, and can be
enlisted for help directly if that is useful.

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below.

If you want to send me a private message, please let me know in the
forum as I do not use the web interface often.

hangarbait
23-Mar-2018, 17:36
H4xorzeel,
As ab threatened, I now have my ear to the rail.

SLES 10, whoa! I haven't seen that in a while and as ab mentioned unless you have Long Term Service Pack Support (LTSS) your supported repos are long expired and inaccessible.

I did some checking and LTSS is no longer available for SLES 10:

Service Pack Release FCS Date General Ends LTSS Ends
SUSE Linux Enterprise Server 10 SP1 18 Jun 2007 30 Nov 2008 Dec 2010
SUSE Linux Enterprise Server 10 SP2 19 May 2008 11 Apr 2010 10 Apr 2013
SUSE Linux Enterprise Server 10 SP3 12 Oct 2009 11 Oct 2011 31 Oct 2014
SUSE Linux Enterprise Server 10 SP4 12 Apr 2011 31 Jul 2013 30 Jul 2016

On to the SSSD, it wasn't available on SLES until 11 SP3, and it didn't include the Active Directory providers (you had to use the LDAP and Kerberos providers).

However, the Active Directory provider was made available on SLES 12.

I'm not sure what the SLES 10 kit you currently have now is doing, but I would suggest upgrading regardless as you have no active support vectors now. If Active Directory integration is a primary driver for the future of these systems I would suggest SLES 12.

-- lawrence